Skip to content

Update Component

Request

Update an existing component. Requires Component Manager authorization. Note: value_type_name cannot be updated.

Security
BearerAuth
Path
component_idintegerrequired

Component ID

Example:1
Bodyapplication/jsonrequired

Component update request

char_limitinteger
component_human_namestring
is_enabledboolean
POST
/component_creatives/v3.0/components/{component_id}
curl -i -X POST \
  https://api.mediamath.com/component_creatives/v3.0/components/1 \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "char_limit": 0,
    "component_human_name": "string",
    "is_enabled": true
  }'

Responses

Component updated successfully

Bodyapplication/json
dataobject(models.Component)

Component definition

metaobject(models.MetaInfo)

Response metadata

Response
{ "data": { "char_limit": 0, "component_human_name": "string", "component_id": 0, "created_at": "string", "is_enabled": true, "updated_at": "string", "value_type_name": "string" }, "meta": { "code": 0, "count": 0, "next_page": "string", "offset": 0, "prev_page": "string", "status": "string", "total_count": 0, "type": "string" } }